App\Library\Amazon\Classes\EntertainmentMemorabilia:
    xml_root_name: EntertainmentMemorabilia
    properties:
        actor:
            expose: true
            access_type: public_method
            serialized_name: Actor
            accessor:
                getter: getActor
                setter: setActor
            xml_list:
                inline: true
                entry_name: Actor
            type: array<string>
        artist:
            expose: true
            access_type: public_method
            serialized_name: Artist
            accessor:
                getter: getArtist
                setter: setArtist
            xml_list:
                inline: true
                entry_name: Artist
            type: array<string>
        authenticatedBy:
            expose: true
            access_type: public_method
            serialized_name: AuthenticatedBy
            accessor:
                getter: getAuthenticatedBy
                setter: setAuthenticatedBy
            type: string
        authenticityNumber:
            expose: true
            access_type: public_method
            serialized_name: AuthenticityNumber
            accessor:
                getter: getAuthenticityNumber
                setter: setAuthenticityNumber
            type: string
        band:
            expose: true
            access_type: public_method
            serialized_name: Band
            accessor:
                getter: getBand
                setter: setBand
            type: string
        collectibleType:
            expose: true
            access_type: public_method
            serialized_name: CollectibleType
            accessor:
                getter: getCollectibleType
                setter: setCollectibleType
            type: string
        composer:
            expose: true
            access_type: public_method
            serialized_name: Composer
            accessor:
                getter: getComposer
                setter: setComposer
            xml_list:
                inline: true
                entry_name: Composer
            type: array<string>
        conditionProvidedBy:
            expose: true
            access_type: public_method
            serialized_name: ConditionProvidedBy
            accessor:
                getter: getConditionProvidedBy
                setter: setConditionProvidedBy
            type: string
        conductor:
            expose: true
            access_type: public_method
            serialized_name: Conductor
            accessor:
                getter: getConductor
                setter: setConductor
            xml_list:
                inline: true
                entry_name: Conductor
            type: array<string>
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        dateOfPerformance:
            expose: true
            access_type: public_method
            serialized_name: DateOfPerformance
            accessor:
                getter: getDateOfPerformance
                setter: setDateOfPerformance
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        displayDepth:
            expose: true
            access_type: public_method
            serialized_name: DisplayDepth
            accessor:
                getter: getDisplayDepth
                setter: setDisplayDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayDiameter:
            expose: true
            access_type: public_method
            serialized_name: DisplayDiameter
            accessor:
                getter: getDisplayDiameter
                setter: setDisplayDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayHeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayHeight
            accessor:
                getter: getDisplayHeight
                setter: setDisplayHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        displayWidth:
            expose: true
            access_type: public_method
            serialized_name: DisplayWidth
            accessor:
                getter: getDisplayWidth
                setter: setDisplayWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        entertainmentBrand:
            expose: true
            access_type: public_method
            serialized_name: EntertainmentBrand
            accessor:
                getter: getEntertainmentBrand
                setter: setEntertainmentBrand
            type: string
        entertainmentType:
            expose: true
            access_type: public_method
            serialized_name: EntertainmentType
            accessor:
                getter: getEntertainmentType
                setter: setEntertainmentType
            type: string
        eventName:
            expose: true
            access_type: public_method
            serialized_name: EventName
            accessor:
                getter: getEventName
                setter: setEventName
            type: string
        genre:
            expose: true
            access_type: public_method
            serialized_name: Genre
            accessor:
                getter: getGenre
                setter: setGenre
            type: string
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        isPerformanceUsed:
            expose: true
            access_type: public_method
            serialized_name: IsPerformanceUsed
            accessor:
                getter: getIsPerformanceUsed
                setter: setIsPerformanceUsed
            type: string
        gradeRating:
            expose: true
            access_type: public_method
            serialized_name: GradeRating
            accessor:
                getter: getGradeRating
                setter: setGradeRating
            type: string
        itemThicknessString:
            expose: true
            access_type: public_method
            serialized_name: ItemThicknessString
            accessor:
                getter: getItemThicknessString
                setter: setItemThicknessString
            type: App\Library\Amazon\Classes\LengthDimensionType
        limitedEditionQuantity:
            expose: true
            access_type: public_method
            serialized_name: LimitedEditionQuantity
            accessor:
                getter: getLimitedEditionQuantity
                setter: setLimitedEditionQuantity
            type: integer
        limitedEditionNumber:
            expose: true
            access_type: public_method
            serialized_name: LimitedEditionNumber
            accessor:
                getter: getLimitedEditionNumber
                setter: setLimitedEditionNumber
            type: string
        publisher:
            expose: true
            access_type: public_method
            serialized_name: Publisher
            accessor:
                getter: getPublisher
                setter: setPublisher
            type: string
        numberOfItems:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItems
            accessor:
                getter: getNumberOfItems
                setter: setNumberOfItems
            type: integer
        numberOfPages:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPages
            accessor:
                getter: getNumberOfPages
                setter: setNumberOfPages
            type: integer
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: integer
        orchestra:
            expose: true
            access_type: public_method
            serialized_name: Orchestra
            accessor:
                getter: getOrchestra
                setter: setOrchestra
            xml_list:
                inline: true
                entry_name: Orchestra
            type: array<string>
        packaging:
            expose: true
            access_type: public_method
            serialized_name: Packaging
            accessor:
                getter: getPackaging
                setter: setPackaging
            type: string
        publicationDate:
            expose: true
            access_type: public_method
            serialized_name: PublicationDate
            accessor:
                getter: getPublicationDate
                setter: setPublicationDate
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        safetyWarning:
            expose: true
            access_type: public_method
            serialized_name: SafetyWarning
            accessor:
                getter: getSafetyWarning
                setter: setSafetyWarning
            type: string
        signedBy:
            expose: true
            access_type: public_method
            serialized_name: SignedBy
            accessor:
                getter: getSignedBy
                setter: setSignedBy
            type: string
        studio:
            expose: true
            access_type: public_method
            serialized_name: Studio
            accessor:
                getter: getStudio
                setter: setStudio
            type: string
        subjectKeywords:
            expose: true
            access_type: public_method
            serialized_name: SubjectKeywords
            accessor:
                getter: getSubjectKeywords
                setter: setSubjectKeywords
            xml_list:
                inline: true
                entry_name: SubjectKeywords
            type: array<string>
        venueName:
            expose: true
            access_type: public_method
            serialized_name: VenueName
            accessor:
                getter: getVenueName
                setter: setVenueName
            type: string
        vinylRecordDetails:
            expose: true
            access_type: public_method
            serialized_name: VinylRecordDetails
            accessor:
                getter: getVinylRecordDetails
                setter: setVinylRecordDetails
            type: string
        whatsInTheBox:
            expose: true
            access_type: public_method
            serialized_name: WhatsInTheBox
            accessor:
                getter: getWhatsInTheBox
                setter: setWhatsInTheBox
            xml_list:
                inline: true
                entry_name: WhatsInTheBox
            type: array<string>
        year:
            expose: true
            access_type: public_method
            serialized_name: Year
            accessor:
                getter: getYear
                setter: setYear
            type: integer
        makeAnOfferMinimumPercentage:
            expose: true
            access_type: public_method
            serialized_name: MakeAnOfferMinimumPercentage
            accessor:
                getter: getMakeAnOfferMinimumPercentage
                setter: setMakeAnOfferMinimumPercentage
            type: integer
        seriesNumber:
            expose: true
            access_type: public_method
            serialized_name: SeriesNumber
            accessor:
                getter: getSeriesNumber
                setter: setSeriesNumber
            type: integer
        cardNumber:
            expose: true
            access_type: public_method
            serialized_name: CardNumber
            accessor:
                getter: getCardNumber
                setter: setCardNumber
            type: integer
        isVeryHighValue:
            expose: true
            access_type: public_method
            serialized_name: IsVeryHighValue
            accessor:
                getter: getIsVeryHighValue
                setter: setIsVeryHighValue
            type: boolean
        contributor:
            expose: true
            access_type: public_method
            serialized_name: Contributor
            accessor:
                getter: getContributor
                setter: setContributor
            type: string
        additionalProductInformation:
            expose: true
            access_type: public_method
            serialized_name: AdditionalProductInformation
            accessor:
                getter: getAdditionalProductInformation
                setter: setAdditionalProductInformation
            type: string
